%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define cvsdate 20020401
%define conflictver 3.0.1

%define gimp 0

%define unstable 0
%add_findprov_lib_path %_libdir/kde3

Name: kdesdk
Version: 3.1.4
Release: alt1

Source: kdesdk-%version.tar.bz2

Patch1: kdesdk-3.1-fix-conflict-with-lam.patch
Patch2: kdesdk-3.0.2-fix-kbugbuster-icon.patch
#
# ALT
Patch10: kdesdk-3.1.4-fix_compile.patch

Requires: kdesdk-cervisia = %version-%release,		kdesdk-kbabel = %version-%release
Requires: kdesdk-kbugbuster = %version-%release
Requires: kdesdk-kapptemplate = %version-%release,	kdesdk-kmtrace = %version-%release
Requires: kdesdk-kompare = %version-%release,		kdesdk-kspy = %version-%release
Requires: kdesdk-misc = %version-%release, kdesdk-kfile = %version-%release
%if %gimp
Requires: kdesdk-gimp = %version-%release
%endif
Obsoletes: kdesdk3 kdesdk3-devel kdesdk-devel

Group: Development/KDE and QT
Icon: kde-icon.xpm
Summary: K Desktop Environment - Software Development Kit
License: GPL

# Automatically added by buildreq on Tue Apr 09 2002
#BuildRequires: XFree86-devel XFree86-libs bison flex freetype2 gcc-c++ kde-common kdebase kdelibs-devel libarts-devel libdb2-devel libdb4-devel libiberty-devel libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs bison flex freetype2
BuildRequires: gcc-c++ kde-common kdebase kdelibs-devel libarts-devel
BuildRequires: libdb2-devel libiberty-devel libjpeg-devel libart_lgpl-devel
BuildRequires: liblcms libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel
BuildRequires: libpcre-devel /usr/bin/python

%description
Software Development Kit for the K Desktop Environment.

%package cervisia
Summary: Graphical CVS client
Group: Development/KDE and QT
License: QPL
Obsoletes: kdesdk3
Conflicts: kdesdk <= %conflictver
Provides: cervisia
Obsoletes: cervisia
Requires: cvs
#
%description cervisia
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%package kbabel
Summary: Translator tools
Group: Development/KDE and QT
Obsoletes: kdesdk3
Obsoletes: kdesdk-devel
Conflicts: kdesdk <= %conflictver
#
%description kbabel
Translator tools.
kbabel includes a .po file editor, a catalog manager, message extraction
tools, and po file thumbnail views for Konqueror (the KDE file manager).

%package kbugbuster
Summary: KBugBuster - debugging tools
Group: Development/KDE and QT
Obsoletes: kdesdk3
Conflicts: kdesdk <= %conflictver
#
%description kbugbuster
Debugging tools

%package gimp
Summary: KDE palette for GIMP
Group: Graphics
Requires: gimp >= 1.2
Obsoletes: kdesdk3
Conflicts: kdesdk <= %conflictver
#
%description gimp
The standard KDE palette in GIMP format. This allows you to create/edit
low-color KDE icons using the GIMP.

%package kapptemplate
Summary: Tool for creating a skeleton KDE application
Group: Development/KDE and QT
Obsoletes: kdesdk3
Conflicts: kdesdk <= %conflictver
#
%description kapptemplate
kapptemplate creates a skeleton KDE application (configure stuff, automake
stuff, etc.), allowing you to start writing the relevant code instead of
bothering with things that have already been done.

kapptemplate supports both standalone applications and plugins utilizing
KParts technology.

%package kfile
Summary: Kfile plugins
Group: Development/KDE and QT
Obsoletes: kdesdk3
Conflicts: kdesdk <= %conflictver
#
%description kfile
Plugin to allow the standard KDE file dialog to display
infirmation about .po .diff .cpp files

%package kmtrace
Summary: Malloc debugger for KDE
Group: Development/KDE and QT
Obsoletes: kdesdk3
Obsoletes: kdesdk-devel
Conflicts: kdesdk <= %conflictver
#
%description kmtrace
KMtrace is a malloc (memory allocation) debugger for KDE.

%package kompare
Summary: File comparison tool for KDE
Group: Development/KDE and QT
Obsoletes: kdesdk3
Conflicts: kdesdk <= %conflictver
Obsoletes: kdiff
#
%description kompare
A file comparison tool for KDE

%package kspy
Summary: Qt/KDE application state examination tool
Group: Development/KDE and QT
Obsoletes: kdesdk3
Obsoletes: kdesdk-devel
Conflicts: kdesdk <= %conflictver
#
%description kspy
KSpy is a utility intended to help developers examine the internal
state of a Qt/KDE application. KSpy graphically displays all the
QObjects in use, and allows you to browse their properties. Using KSpy
is very simple, include kspy.h and call KSpy::invoke() when you want
to looks inside your app. The KSpy function is inline and the main
part of KSpy is dynamically loaded, so you may even want to leave this
in the release build of an application.

%package misc
Summary: Misc utils for KDE development
Group: Development/KDE and QT
Provides: %name-utils = %version-%release
Obsoletes: %name-utils
Obsoletes: kdesdk3
Obsoletes: kdesdk-devel
Conflicts: kdesdk <= %conflictver
#
%description misc
Misc utils for KDE development

%prep
%setup -q -n kdesdk-%version
mv $RPM_BUILD_DIR/kdesdk-%version/kmtrace/ktrace.h $RPM_BUILD_DIR/kdesdk-%version/kmtrace/kde-ktrace.h
%patch1 -p1
#%patch2 -p1
#
%patch10 -p1

[ -f cervisia/updateview.moc ] || \
    %qtdir/bin/moc cervisia/updateview.h -o cervisia/updateview.moc

[ -f Makefile.cvs ] && make -f Makefile.cvs

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"
%configure  \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif
	            --mandir=%_mandir \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --program-transform-name="" \
                    --with-xinerama

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build \
    DESTDIR=%buildroot \
    prefix=%prefix \
    exec_prefix=%prefix \
install
#find %buildroot -type f -name \*.la -exec perl -pi -e "s|%buildroot||g" {} \;

ln -s ./kde3/libkomparepart.so %buildroot/%_libdir/libkomparepart.so

# Install stuff that doesn't get installed by make install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes
install -c -m 644 kdepalettes/KDE_Gimp $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes

# Create LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Development/
kdedesktop2mdkmenu.pl kdesdk-kbabel Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabel.desktop %buildroot/%_menudir/kdesdk-kbabel
kdedesktop2mdkmenu.pl kdesdk-kbabel Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabeldict.desktop %buildroot/%_menudir/kdesdk-kbabeldict
kdedesktop2mdkmenu.pl kdesdk-kbabel Applications/Development/Tools %buildroot/%_datadir/applnk/Development/catalogmanager.desktop %buildroot/%_menudir/kdesdk-catalogmanager
kdedesktop2mdkmenu.pl kdesdk-cervisia Applications/Development/Tools %buildroot/%_datadir/applnk/Development/cervisia.desktop %buildroot/%_menudir/kdesdk-cervisia
kdedesktop2mdkmenu.pl kdesdk-kompare Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kompare.desktop %buildroot/%_menudir/kdesdk-kompare
kdedesktop2mdkmenu.pl kdesdk-kbugbuster Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbugbuster.desktop %buildroot/%_menudir/kdesdk-kbugbuster

# %%_datadir/applnk/Utilities
# Dadou - 2.1-1mdk - This one is a demo application and it claims it. So, it
#                    doesn't make sense to include it.
#kdedesktop2mdkmenu.pl kdesdk "Applications/Text tools" %buildroot/%_datadir/applnk/Utilities/kless.desktop %buildroot/%_menudir/kdesdk-kless

# fix scripts for strong /usr/lib/rpm/find-requires
pushd %buildroot/%_bindir
for f in `file ./* | grep shell | awk -F: '{print $1}' | xargs grep -l ^=head`
do
    mv "$f" "$f.tmp"
    awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f.tmp" >"$f"
    rm -f "$f.tmp"
    chmod a+x $f
done
popd

# (cd /home/zerg/RPM/TMP/kdesdk-buildroot/usr/bin; for f in *; do awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f" >"$f.new" && cmp -s "$f" "$f.new" && mv -f "$f.new" "$f"
# grep -rl '^=head' /home/zerg/RPM/TMP/kdesdk-buildroot/usr/bin/


#########################################################
#
%define r_link %_docdir/HTML/en/cervisia/common

%pre cervisia
f=%r_link
if [ -d "$f" -a ! -L "$f" ]; then
	%__rm -rf "$f"
	/bin/touch "$f.RPMLOCK"
fi

%post cervisia
/sbin/ldconfig
%update_menus
f=%r_link
if [ -f "$f.RPMLOCK" -a -d "$f" -a ! -d "$f.RPMSAVE" ]; then
	%__mv "$f" "$f.RPMSAVE"
	%__rm -f "$f.RPMLOCK"
fi

%postun cervisia
/sbin/ldconfig
%clean_menus

%triggerpostun cervisia -- cervisia
f=%r_link
if [ -d "$f.RPMSAVE" -a ! -d "$f" ]; then
	%__mv "$f.RPMSAVE" "$f"
fi

%post kbabel
/sbin/ldconfig
%update_menus
%postun kbabel
/sbin/ldconfig
%clean_menus

%post kbugbuster
%update_menus
%postun kbugbuster
%clean_menus

%post kmtrace
/sbin/ldconfig
%postun kmtrace
/sbin/ldconfig

%post kompare
/sbin/ldconfig
%update_menus
%postun kompare
/sbin/ldconfig
%clean_menus

%post kspy
/sbin/ldconfig
%postun kspy
/sbin/ldconfig

%files

%files cervisia
%_bindir/cervisia
%_libdir/libcervisia*.*
%_datadir/applnk/Development/cervisia.desktop
%_datadir/icons/*/*/*/cervisia.png
%_datadir/apps/cervisia
%_datadir/apps/cervisiapart
%doc %_docdir/HTML/en/cervisia
%doc %_man1dir/cervisia.*
%_menudir/kdesdk-cervisia

%files kfile
%_libdir/kde3/kfile_*.*
%_datadir/services/kfile_*.desktop

%files kbabel
%_libdir/libkbabel*
#%_libdir/kde3/libdbsearchengine.*
%_libdir/kde3/libpocompendium*
%_libdir/kde3/libpoauxiliary*
%_libdir/kde3/pothumbnail.*
%_libdir/libcatalogmanager*
%_includedir/kbabel
%_bindir/kbabel*
%_bindir/catalogmanager
%_datadir/icons/*/*/*/kbabel*
%_datadir/icons/*/*/*/catalogmanager*
%_datadir/icons/*/*/*/gettext.png
%_datadir/applnk/Development/catalogmanager.desktop
%_datadir/applnk/Development/kbabel.desktop
%_datadir/applnk/Development/kbabeldict.desktop
%_datadir/apps/kbabel
%_datadir/apps/kbabeldict
%_datadir/apps/catalogmanager
%_datadir/mimelnk/application/x-gettext.desktop
%_datadir/services/pothumbnail.desktop
%doc %_docdir/HTML/en/kbabel
# %doc %_docdir/HTML/en/ktranslator
%_menudir/kdesdk-kbabel
%_menudir/kdesdk-kbabeldict
%_menudir/kdesdk-catalogmanager

%files kbugbuster
%_bindir/kbugbuster
%_datadir/icons/*/*/*/kbugbuster.png
%_datadir/apps/kbugbuster
%_datadir/applnk/Development/kbugbuster.desktop
%_menudir/kdesdk-kbugbuster
%doc %_docdir/HTML/en/kbugbuster

%if %gimp
%files gimp
%_datadir/gimp/1.2/palettes/KDE_Gimp
%endif

%files kapptemplate
%_bindir/kapptemplate
%_datadir/apps/kapptemplate

%files kmtrace
%_libdir/libktrace*
%_bindir/kmtrace
%_bindir/demangle
%_bindir/kminspector
%_bindir/match
%_datadir/apps/kmtrace
%_includedir/kde-ktrace.h

%files kompare
%_bindir/kompare
#%_libdir/libdiff2.*
%_libdir/libkomparepart*
%_libdir/kde3/libkomparepart*
%_libdir/kde3/libkomparenavtreepart*
%_datadir/services/kompare*
%_datadir/servicetypes/kompare*part.desktop
%_datadir/apps/kompare
%_datadir/apps/komparepart
%_datadir/icons/*/*/*/kompare.png
%_datadir/applnk/Development/kompare.desktop
%_menudir/kdesdk-kompare
%doc %_docdir/HTML/en/kompare

%files kspy
%_libdir/libkspy*
%_includedir/kspy.h

%files misc
%_bindir/adddebug
%_bindir/cheatmake
%_bindir/create_cvsignore
%_bindir/create_makefile
%_bindir/create_makefiles
%_bindir/cvs2pack
%_bindir/cvsblame
%_bindir/cvscheck
%_bindir/cvslastchange
%_bindir/cvslastlog
%_bindir/cvsrevertlast
%_bindir/cvsversion
%_bindir/cxxmetric
%_bindir/extend_dmalloc
%_bindir/extractrc
%_bindir/fixsgml
%_bindir/fixincludes
%_bindir/includemocs
%_bindir/kde-build
%_bindir/kdedoc
%_bindir/kdekillall
%_bindir/kdelnk2desktop.py
%_bindir/kdelnk2desktop.pyc
%_bindir/kdelnk2desktop.pyo
%_bindir/licensecheck
%_bindir/makeobj
%_bindir/noncvslist
%_bindir/po2xml
%_bindir/pruneemptydirs
%_bindir/qtdoc
%_bindir/split2po
%_bindir/swappo
%_bindir/transxx
%_bindir/xml2pot
%_bindir/zonetab2pot.*
%_includedir/kprofilemethod.h
%_libdir/kde3/kabcformat_kdeaccounts.*
%_datadir/apps/kabc/formats/kdeaccountsplugin.desktop
%doc %_man1dir/cvs*
%doc %_man1dir/kde-build.*
%doc %_man1dir/noncvslist.*

%changelog
* Fri Sep 19 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- update code from cvs

* Thu Aug 21 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- update code from cvs

* Thu Jul 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt2
- update code from cvs

* Fri May 30 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt1
- update from cvs KDE_3_1_BRANCH

* Tue May 06 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.1-alt2
- update from cvs KDE_3_1_BRANCH

* Tue Apr 01 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt1
- update from cvs KDE_3_1_BRANCH

* Wed Feb 05 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update from cvs

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- update from cvs

* Thu Nov 28 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- update from cvs

* Wed Nov 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc2
- rc2

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc1
- rc1
- increase %%release to easy check dependencies

* Fri Oct 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.2
- update code from cvs

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt2
- rebuild with gcc 3.2 && objprelink
- sync patches with cooker

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- update from cvs

* Mon Aug 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version
- split

* Mon Jun 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Wed May 15 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3
- fix upgrade cervisia

* Mon Apr 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- move to usr
- add  Obsoletes: kdiff  because we have kompare
- fix launch kompare

* Tue Apr 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- build for ALT

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
    now)

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
